Update report
curl --request PATCH \
--url https://app.msportal.ai/api/public/v1/reports/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reportTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateStart": "<string>",
"dateEnd": "<string>",
"isShared": true
}
'import requests
url = "https://app.msportal.ai/api/public/v1/reports/{id}"
payload = {
"title": "<string>",
"description": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reportTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateStart": "<string>",
"dateEnd": "<string>",
"isShared": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reportTypeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dateStart: '<string>',
dateEnd: '<string>',
isShared: true
})
};
fetch('https://app.msportal.ai/api/public/v1/reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"isShared": true,
"version": 123,
"coverImageUrl": "<string>",
"dateStart": "<string>",
"dateEnd": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"reportTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reportTypeName": "<string>",
"reportTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"authorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Reports
Update report
Update an existing report. Only provided fields will be updated.
PATCH
/
api
/
public
/
v1
/
reports
/
{id}
Update report
Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Path Parameters
Report ID
Body
application/json
Report title
Required string length:
1 - 500Report description (null to clear)
Maximum string length:
2000Company ID (null to clear)
Report type ID (null to clear)
Report date range start (null to clear)
Report date range end (null to clear)
Report content structure
Show child attributes
Show child attributes
Report status
Available options:
draft, published Whether report is shared
Response
Report updated successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I